using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApp2
{
    class Program
    {
        static void Main(string[] args)
        {
            int n = int.Parse(Console.ReadLine()), n1 = int.Parse(Console.ReadLine()), r = 0, br = 1;
            if(n > n1)
            {
                while(n != 0)
                {
                    if(n % 10 > n1 % 10)
                    {
                        r += (n % 10) * br;
                        br *= 10;
                        n /= 10;
                        n1 /= 10;
                    }
                    else if(n1 % 10> n % 10)
                    {
                        r += (n1 % 10) * br;
                        br *= 10;
                        n /= 10;
                        n1 /= 10;
                    }
                    else if(n1 % 10 == n % 10)
                    {
                        r += (n % 10) * br;
                        br *= 10;
                        r += (n1 % 10) * br;
                        br *= 10;
                        n /= 10;
                        n1 /= 10;
                    }
                }
            }
            else
            {
                while(n1 != 0)
                {
                    if (n % 10 > n1 % 10)
                    {
                        r += (n % 10) * br;
                        br *= 10;
                        n /= 10;
                        n1 /= 10;
                    }
                    else if (n1 % 10 > n % 10)
                    {
                        r += (n1 % 10) * br;
                        br *= 10;
                        n /= 10;
                        n1 /= 10;
                    }
                    else if (n1 == n)
                    {
                        r += (n % 10) * br;
                        br *= 10;
                        r += (n % 10) * br;
                        br *= 10;
                        n /= 10;
                        n1 /= 10;
                    }
                }
            }
            Console.WriteLine(r);
        }
    }
}